# Uses of Class
javajs.util.T3i

Packages that use T3i
Package
Description
javajs.util
org.jmol.jvxl.data

## Uses of T3i in javajs.util

Subclasses of T3i in javajs.util
Modifier and Type
Class
Description
`class`
`P3i`
A 3 element point that is represented by signed integer x,y,z coordinates.
Methods in javajs.util with parameters of type T3i
Modifier and Type
Method
Description
`final void`
T3i.`add(T3i t)`
Sets the value of this tuple to the sum of itself and t1.
`final void`
T3i.`scaleAdd(int s, T3i t1, T3i t2)`
Sets the value of this tuple to the scalar multiplication of tuple t1 plus tuple t2 (this = s*t1 + t2).
`final void`
T3i.`setT(T3i t1)`
Sets the value of this tuple to the value of tuple t1.

## Uses of T3i in org.jmol.jvxl.data

Methods in org.jmol.jvxl.data with parameters of type T3i
Modifier and Type
Method
Description
`void`
VolumeData.`xyzToVoxelPt(float x, float y, float z, T3i pt3i)`